Last Comment Bug 477130 - QA AMO behind ACE/Zeus ZXTM load balancer
: QA AMO behind ACE/Zeus ZXTM load balancer
Status: RESOLVED FIXED
02/12/2009 Maint. Window
:
Product: mozilla.org Graveyard
Classification: Graveyard
Component: Server Operations (show other bugs)
: other
: All Other
-- minor (vote)
: ---
Assigned To: matthew zeier [:mrz]
: matthew zeier [:mrz]
:
Mentors:
Depends on: 467502
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-05 14:28 PST by matthew zeier [:mrz]
Modified: 2015-03-12 08:17 PDT (History)
13 users (show)
mzeier: needs‑downtime+
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description User image matthew zeier [:mrz] 2009-02-05 14:28:44 PST
+++ This bug was initially created as a clone of Bug #467502 +++

Need some QA on AMO behind ACE/Zeus ZXTM.  Site is staged at 63.245.209.91.

Setup is like bug 467502 but sits behind a separate L4 load balancer.
Comment 1 User image Michael Morgan [:morgamic] 2009-02-05 14:34:04 PST
Is there a timeline for when you need this work done?  Would help Stephen schedule things better.
Comment 2 User image matthew zeier [:mrz] 2009-02-05 15:10:41 PST
Just opened this for tracking but let's plan to do the load test on 02/12 (next week).  Will that help?
Comment 3 User image Michael Morgan [:morgamic] 2009-02-05 15:11:59 PST
Stephen - when do you have time to do this?
Comment 4 User image Stephen Donner [:stephend] 2009-02-05 15:16:50 PST
(In reply to comment #3)
> Stephen - when do you have time to do this?

I can take a look at it this weekend; should have it tested before Monday; Tuesday I'll be starting a couple new projects, so I'd like to have it done by then.
Comment 5 User image Stephen Donner [:stephend] 2009-02-09 14:34:37 PST
This looks good to me; in addition to running both:

http://viewvc.svn.mozilla.org/vc/addons/trunk/site/app/tests/amo-selenium.html?view=log

-and-

http://viewvc.svn.mozilla.org/vc/addons/trunk/site/app/tests/search.html?view=log, I tested:

* http -> https redirects
* log in / log out
* account creation
* password reset
* uploading an add-on (including changing and adding its preview screenshots)

Couldn't find any regressions, and I did the same testing (and a little more), than I did for bug 467502.
Comment 6 User image Wil Clouser [:clouserw] 2009-02-12 14:05:26 PST
Assuming this is the bug tracking the AMO performance testing tonight can we get verification from IT that the logs will be in the correct format and location to continue our stats parsing with no interruption?
Comment 7 User image Jeremy Orem [:oremj] 2009-02-12 14:33:44 PST
They will show up next to the im-log02 access logs e.g., "/data/stats/logs/im-log02/addons.mozilla.org/access_2009-02-12-02.zlb02.nms.mozilla.org_1.gz".
Comment 8 User image Daniel Einspanjer [:dre] [:deinspanjer] 2009-02-12 14:38:46 PST
And the access log format string is identical, I assume?
Comment 9 User image Jeremy Orem [:oremj] 2009-02-12 14:41:45 PST
Yes.
Comment 10 User image matthew zeier [:mrz] 2009-02-12 21:00:57 PST
DNS updated - 

mrz@boris [~/work/dnsconfig/external/] 61> date ; svn ci -m'amo -> ace/zxtm; date
Thu Feb 12 21:00:06 PST 2009
Sending        external/mozilla.org-soa
Sending        external/mozilla.org-update
Transmitting file data ..
Committed revision 2773.
Thu Feb 12 21:00:11 PST 2009
mrz@boris [~/work/dnsconfig/external/] 62>
Comment 11 User image matthew zeier [:mrz] 2009-02-22 20:17:28 PST
Closing.  No ill effects behind Zeus and Zeus is looking to be more reliable than the Netscaler is for AMO.

Note You need to log in before you can comment on or make changes to this bug.